Loading...
Searching...
No Matches
event::TimerEventManager::Range Struct Reference

Range structure. More...

## Public Attributes

int | start
| Start time.
int | end
| End time.
int | step
| Step.

## Detailed Description

Range structure.

A range defines a time between start and end point in time. If start and end point are the same it is a specific point in time and no range. Step defines the repeating interval in time. Step of 1 is default and matches all values in range.

Definition at line 57 of file TimerEventManager.idl.

## Member Data Documentation

## end

int event::TimerEventManager::Range::end

End time.

Definition at line 59 of file TimerEventManager.idl.

## start

int event::TimerEventManager::Range::start

Start time.

Definition at line 58 of file TimerEventManager.idl.

## step

int event::TimerEventManager::Range::step

Step.

Definition at line 60 of file TimerEventManager.idl.

The documentation for this struct was generated from the following file:

- TimerEventManager.idl